### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Models.AppSettings.UserActions
  commentId: T:adas_core.Domain.Models.AppSettings.UserActions
  id: UserActions
  parent: adas_core.Domain.Models.AppSettings
  children:
  - adas_core.Domain.Models.AppSettings.UserActions.#ctor(System.Boolean,System.Boolean,System.Boolean,System.Boolean,System.Boolean)
  - adas_core.Domain.Models.AppSettings.UserActions.Create
  - adas_core.Domain.Models.AppSettings.UserActions.Delete
  - adas_core.Domain.Models.AppSettings.UserActions.Execute
  - adas_core.Domain.Models.AppSettings.UserActions.Read
  - adas_core.Domain.Models.AppSettings.UserActions.Update
  langs:
  - csharp
  - vb
  name: UserActions
  nameWithType: UserActions
  fullName: adas_core.Domain.Models.AppSettings.UserActions
  type: Class
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/PermissionSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: UserActions
    path: ../../adas-core.Domain/Models/AppSettings/PermissionSettings.cs
    startLine: 340
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  summary: Represents a set of user permissions indicating whether the user is allowed to create, update, delete, read, or execute specific operations.
  remarks: This type captures granular action-level authorization flags, allowing the application to enforce and check individual user capabilities across supported operations.
  example: []
  syntax:
    content: public class UserActions
    content.vb: Public Class UserActions
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.Domain.Models.AppSettings.UserActions.#ctor(System.Boolean,System.Boolean,System.Boolean,System.Boolean,System.Boolean)
  commentId: M:adas_core.Domain.Models.AppSettings.UserActions.#ctor(System.Boolean,System.Boolean,System.Boolean,System.Boolean,System.Boolean)
  id: '#ctor(System.Boolean,System.Boolean,System.Boolean,System.Boolean,System.Boolean)'
  parent: adas_core.Domain.Models.AppSettings.UserActions
  langs:
  - csharp
  - vb
  name: UserActions(bool, bool, bool, bool, bool)
  nameWithType: UserActions.UserActions(bool, bool, bool, bool, bool)
  fullName: adas_core.Domain.Models.AppSettings.UserActions.UserActions(bool, bool, bool, bool, bool)
  type: Constructor
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/PermissionSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: .ctor
    path: ../../adas-core.Domain/Models/AppSettings/PermissionSettings.cs
    startLine: 340
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  summary: Represents a set of user permissions indicating whether the user is allowed to create, update, delete, read, or execute specific operations.
  remarks: This type captures granular action-level authorization flags, allowing the application to enforce and check individual user capabilities across supported operations.
  example: []
  syntax:
    content: public UserActions(bool create, bool update, bool delete, bool read, bool execute)
    parameters:
    - id: create
      type: System.Boolean
    - id: update
      type: System.Boolean
    - id: delete
      type: System.Boolean
    - id: read
      type: System.Boolean
    - id: execute
      type: System.Boolean
    content.vb: Public Sub New(create As Boolean, update As Boolean, delete As Boolean, read As Boolean, execute As Boolean)
  overload: adas_core.Domain.Models.AppSettings.UserActions.#ctor*
  nameWithType.vb: UserActions.New(Boolean, Boolean, Boolean, Boolean, Boolean)
  fullName.vb: adas_core.Domain.Models.AppSettings.UserActions.New(Boolean, Boolean, Boolean, Boolean, Boolean)
  name.vb: New(Boolean, Boolean, Boolean, Boolean, Boolean)
- uid: adas_core.Domain.Models.AppSettings.UserActions.Create
  commentId: P:adas_core.Domain.Models.AppSettings.UserActions.Create
  id: Create
  parent: adas_core.Domain.Models.AppSettings.UserActions
  langs:
  - csharp
  - vb
  name: Create
  nameWithType: UserActions.Create
  fullName: adas_core.Domain.Models.AppSettings.UserActions.Create
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/PermissionSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Create
    path: ../../adas-core.Domain/Models/AppSettings/PermissionSettings.cs
    startLine: 342
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public bool Create { get; set; }
    parameters: []
    return:
      type: System.Boolean
    content.vb: Public Property Create As Boolean
  overload: adas_core.Domain.Models.AppSettings.UserActions.Create*
- uid: adas_core.Domain.Models.AppSettings.UserActions.Update
  commentId: P:adas_core.Domain.Models.AppSettings.UserActions.Update
  id: Update
  parent: adas_core.Domain.Models.AppSettings.UserActions
  langs:
  - csharp
  - vb
  name: Update
  nameWithType: UserActions.Update
  fullName: adas_core.Domain.Models.AppSettings.UserActions.Update
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/PermissionSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Update
    path: ../../adas-core.Domain/Models/AppSettings/PermissionSettings.cs
    startLine: 343
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public bool Update { get; set; }
    parameters: []
    return:
      type: System.Boolean
    content.vb: Public Property Update As Boolean
  overload: adas_core.Domain.Models.AppSettings.UserActions.Update*
- uid: adas_core.Domain.Models.AppSettings.UserActions.Delete
  commentId: P:adas_core.Domain.Models.AppSettings.UserActions.Delete
  id: Delete
  parent: adas_core.Domain.Models.AppSettings.UserActions
  langs:
  - csharp
  - vb
  name: Delete
  nameWithType: UserActions.Delete
  fullName: adas_core.Domain.Models.AppSettings.UserActions.Delete
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/PermissionSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Delete
    path: ../../adas-core.Domain/Models/AppSettings/PermissionSettings.cs
    startLine: 344
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public bool Delete { get; set; }
    parameters: []
    return:
      type: System.Boolean
    content.vb: Public Property Delete As Boolean
  overload: adas_core.Domain.Models.AppSettings.UserActions.Delete*
- uid: adas_core.Domain.Models.AppSettings.UserActions.Read
  commentId: P:adas_core.Domain.Models.AppSettings.UserActions.Read
  id: Read
  parent: adas_core.Domain.Models.AppSettings.UserActions
  langs:
  - csharp
  - vb
  name: Read
  nameWithType: UserActions.Read
  fullName: adas_core.Domain.Models.AppSettings.UserActions.Read
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/PermissionSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Read
    path: ../../adas-core.Domain/Models/AppSettings/PermissionSettings.cs
    startLine: 345
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public bool Read { get; set; }
    parameters: []
    return:
      type: System.Boolean
    content.vb: Public Property Read As Boolean
  overload: adas_core.Domain.Models.AppSettings.UserActions.Read*
- uid: adas_core.Domain.Models.AppSettings.UserActions.Execute
  commentId: P:adas_core.Domain.Models.AppSettings.UserActions.Execute
  id: Execute
  parent: adas_core.Domain.Models.AppSettings.UserActions
  langs:
  - csharp
  - vb
  name: Execute
  nameWithType: UserActions.Execute
  fullName: adas_core.Domain.Models.AppSettings.UserActions.Execute
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/PermissionSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Execute
    path: ../../adas-core.Domain/Models/AppSettings/PermissionSettings.cs
    startLine: 346
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public bool Execute { get; set; }
    parameters: []
    return:
      type: System.Boolean
    content.vb: Public Property Execute As Boolean
  overload: adas_core.Domain.Models.AppSettings.UserActions.Execute*
references:
- uid: adas_core.Domain.Models.AppSettings
  commentId: N:adas_core.Domain.Models.AppSettings
  href: adas_core.html
  name: adas_core.Domain.Models.AppSettings
  nameWithType: adas_core.Domain.Models.AppSettings
  fullName: adas_core.Domain.Models.AppSettings
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.AppSettings
    name: AppSettings
    href: adas_core.Domain.Models.AppSettings.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.AppSettings
    name: AppSettings
    href: adas_core.Domain.Models.AppSettings.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Domain.Models.AppSettings.UserActions.#ctor*
  commentId: Overload:adas_core.Domain.Models.AppSettings.UserActions.#ctor
  href: adas_core.Domain.Models.AppSettings.UserActions.html#adas_core_Domain_Models_AppSettings_UserActions__ctor_System_Boolean_System_Boolean_System_Boolean_System_Boolean_System_Boolean_
  name: UserActions
  nameWithType: UserActions.UserActions
  fullName: adas_core.Domain.Models.AppSettings.UserActions.UserActions
  nameWithType.vb: UserActions.New
  fullName.vb: adas_core.Domain.Models.AppSettings.UserActions.New
  name.vb: New
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: adas_core.Domain.Models.AppSettings.UserActions.Create*
  commentId: Overload:adas_core.Domain.Models.AppSettings.UserActions.Create
  href: adas_core.Domain.Models.AppSettings.UserActions.html#adas_core_Domain_Models_AppSettings_UserActions_Create
  name: Create
  nameWithType: UserActions.Create
  fullName: adas_core.Domain.Models.AppSettings.UserActions.Create
- uid: adas_core.Domain.Models.AppSettings.UserActions.Update*
  commentId: Overload:adas_core.Domain.Models.AppSettings.UserActions.Update
  href: adas_core.Domain.Models.AppSettings.UserActions.html#adas_core_Domain_Models_AppSettings_UserActions_Update
  name: Update
  nameWithType: UserActions.Update
  fullName: adas_core.Domain.Models.AppSettings.UserActions.Update
- uid: adas_core.Domain.Models.AppSettings.UserActions.Delete*
  commentId: Overload:adas_core.Domain.Models.AppSettings.UserActions.Delete
  href: adas_core.Domain.Models.AppSettings.UserActions.html#adas_core_Domain_Models_AppSettings_UserActions_Delete
  name: Delete
  nameWithType: UserActions.Delete
  fullName: adas_core.Domain.Models.AppSettings.UserActions.Delete
- uid: adas_core.Domain.Models.AppSettings.UserActions.Read*
  commentId: Overload:adas_core.Domain.Models.AppSettings.UserActions.Read
  href: adas_core.Domain.Models.AppSettings.UserActions.html#adas_core_Domain_Models_AppSettings_UserActions_Read
  name: Read
  nameWithType: UserActions.Read
  fullName: adas_core.Domain.Models.AppSettings.UserActions.Read
- uid: adas_core.Domain.Models.AppSettings.UserActions.Execute*
  commentId: Overload:adas_core.Domain.Models.AppSettings.UserActions.Execute
  href: adas_core.Domain.Models.AppSettings.UserActions.html#adas_core_Domain_Models_AppSettings_UserActions_Execute
  name: Execute
  nameWithType: UserActions.Execute
  fullName: adas_core.Domain.Models.AppSettings.UserActions.Execute
